ListParams
Keywords: com.fg.ftreenodes.ListParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftreenodes
Class ListParams

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.fg.ftreenodes.ListParams

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, Params, java.util.RandomAccess, java.io.Serializable

public class ListParams
extends java.util.ArrayList
implements Params

Represents an ArrayList which implements `Params` interface in such a way that `getList()` method returns self-reference and `getMap()` method always returns `null`.

Version:
  1.0
Author:
  Felix Golubov
See Also:
  `Params`, Serialized Form

Field Summary

Fields inherited from interface com.fg.ftreenodes.Params
`empty`

Constructor Summary
`ListParams(int capacity)`

Method Summary
`java.util.List` | `getList()` Method returns a java.util.List of unnamed parameters or `null`if there are no unnamed parameters.``
`java.util.Map` | `getMap()` Method returns a java.util.Map of named parameters or `null`if there are no named parameters.``

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### ListParams

    public ListParams(int capacity)

Method Detail

### getList

    public java.util.List getList()

  Description copied from interface: `Params`
  Method returns a java.util.List of unnamed parameters or `null`if there are no unnamed parameters.

  ``
  Specified by:
    `getList` in interface `Params`
  Returns:
    a java.util.List of parameters or `null`if there are no such parameters.``

### getMap

    public java.util.Map getMap()

  Description copied from interface: `Params`
  Method returns a java.util.Map of named parameters or `null`if there are no named parameters.

  ``
  Specified by:
    `getMap` in interface `Params`
  Returns:
    a java.util.Map of named parameters or `null`if there are no named parameters.``

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD